#LIMITAZIONE DELLA RESPONSABILITA'. 
#Il software  fornito "cos com'", senza garanzie di  sorta.
setwd(choose.dir(default = "", caption = "WHERE ARE MICRODATA?"))
direttorio = getwd()
fileInput = paste (direttorio, "/ISTAT_MFR_VV_Microdati_2015_Individui_ESEMPIO_STRUTTURA_FILE.txt", sep="")
DF_VV_A2015_Individui<- read.delim2 (fileInput,  header=T, sep="^",  quote="",  na.strings = ".")
attr(DF_VV_A2015_Individui, "label") <- c(
"tipo record",
"mese di riferimento dei dati",
"anno di riferimento dei dati",
"Numero d'ordine progressivo individuale sull'anno",
"sesso",
"Classi di et in anni compiuti",
"stato civile",
"cittadinanza",
"regione di residenza",
"ripartizione geografica di residenza",
"titolo di studio pi alto conseguito",
"condizione professionale oggettiva",
"posizione nella professione",
"settore di attivit economica",
"condizione professionale soggettiva",
"tipo di orario di lavoro",
"tipo di rapporto di lavoro",
"codifica della professione lavorativa (Grandi gruppi)",
"motivo per cui l'individuo non ha effettuato vacanze nel mese",
"numero totale viaggi di lavoro abituali nel mese",
"numero totale di notti per viaggi di lavoro abituali nel mese",
"numero totale viaggi di vacanza abituali nel mese",
"numero totale di notti per viaggi di vacanza abituali nel mese",
"presenza escursioni effettuate dall'individuo nel mese",
"numero escursioni effettuate dall'individuo nel mese",
"presenza viaggi effettuati dall'individuo nel mese",
"numero viaggi effettuati dall'individuo nel mese",
"presenza viaggi di lavoro effettuati dall'individuo nel mese",
"numero viaggi di lavoro effettuati dall'individuo nel mese",
"presenza viaggi di vacanza effettuati dall'individuo nel mese",
"numero viaggi di vacanza effettuati dall'individuo nel mese",
"presenza viaggi di vacanza di 1-3 notti effettuati dall'individuo nel mese",
"numero viaggi di vacanza di 1-3 notti effettuati dall'individuo nel mese",
"presenza viaggi di vacanza di 4 o pi notti effettuati dall'individuo nel mese",
"numero viaggi di vacanza di 4 o pi notti effettuati dall'individuo nel mese",
"coefficiente di riporto per le stime di viaggi, escursioni e individui (turisti e non turisti) nel mese medio del trimestre",
"coefficiente di riporto per il calcolo dell'ammontare dei viaggi (abituali e non abituali) ed escursioni nel mese, nel trimestre e nell'anno",
"trimestre di riferimento dei dati",
"tipologia socio-demografica del comune di residenza",
"numero componenti della famiglia di fatto dell'intervista iniziale",
"se lo stato di nascita  Italia o un paese estero")

tr_Fact <- factor(DF_VV_A2015_Individui$tr, 
levels=c("02", 
"03", 
"04"), 
labels=c("Record individuale", 
"Record viaggi", 
"Record escursioni")) 


sesso_Fact <- factor(DF_VV_A2015_Individui$sesso, 
levels=c("1", 
"2"), 
labels=c("Maschi", 
"Femmine")) 


eta5_Fact <- factor(DF_VV_A2015_Individui$eta5, 
levels=c("01", 
"02", 
"03", 
"04", 
"05", 
"06", 
"07", 
"08", 
"09", 
"10", 
"11", 
"12", 
"13", 
"14", 
"15"), 
labels=c("<=5 anni", 
"6-14 anni", 
"15-17 anni", 
"18-24 anni", 
"25-29 anni", 
"30-34 anni", 
"35-39 anni", 
"40-44 anni", 
"45-49 anni", 
"50-54 anni", 
"55-59 anni", 
"60-64 anni", 
"65-69 anni", 
"70-74 anni", 
">=75 anni")) 


staciv_Fact <- factor(DF_VV_A2015_Individui$staciv, 
levels=c("1", 
"2", 
"3", 
"4", 
"5", 
"6"), 
labels=c("Celibe/nubile", 
"Coniugato", 
"Separato di fatto", 
"Separato legalmente", 
"Divorziato", 
"Vedovo")) 


citt_Fact <- factor(DF_VV_A2015_Individui$citt, 
levels=c("1", 
"2"), 
labels=c("Italiana", 
"Estera")) 


reg_Fact <- factor(DF_VV_A2015_Individui$reg, 
levels=c("010", 
"020", 
"030", 
"040", 
"050", 
"060", 
"070", 
"080", 
"090", 
"100", 
"110", 
"120", 
"130", 
"140", 
"150", 
"160", 
"170", 
"180", 
"190", 
"200"), 
labels=c("Piemonte", 
"Valle d'Aosta/Valle d'Aoste", 
"Lombardia", 
"Trentino A.Adige/Sudtirol", 
"Veneto", 
"Friuli-Venezia Giulia", 
"Liguria", 
"Emilia-Romagna", 
"Toscana", 
"Umbria", 
"Marche", 
"Lazio", 
"Abruzzo", 
"Molise", 
"Campania", 
"Puglia", 
"Basilicata", 
"Calabria", 
"Sicilia", 
"Sardegna")) 


rip_Fact <- factor(DF_VV_A2015_Individui$rip, 
levels=c("11", 
"12", 
"23", 
"34", 
"35"), 
labels=c("Nord-ovest", 
"Nord-est", 
"Centro", 
"Sud", 
"Isole")) 


istr_Fact <- factor(DF_VV_A2015_Individui$istr, 
levels=c("01", 
"02", 
"03", 
"04", 
"05", 
"06", 
"07", 
"08", 
"09", 
"10", 
"11", 
"12", 
"13"), 
labels=c("Nessun titolo", 
"Licenza elementare", 
"Licenza media (licenza di avviamento professionale)", 
"Titolo di istruzione secondaria superiore che non permette l'accesso all'universit", 
"Diploma di istruzione secondaria superiore che permette l'accesso all'universit", 
"Diploma terziario extra-universitario (AFAM: Accademia di belle arti, Istituto superiore di industrie artistiche,Accademia naz. di arte drammatica, Conservatorio musicale e istituto musicale pareggiato, Accademia di danza, Scuola sup. per interprete e trad", 
"Diploma universitario (corso di diploma universitario, istituto superiore di educazione fisica, scuola diretta a fini speciali, scuola parauniversitaria)", 
"Laurea di primo livello - nuovo ordinamento (corsi di 3 anni)", 
"Diploma di laurea - vecchio ordinamento (corsi di 4/6 anni)", 
"Laurea specialistica a ciclo unico - nuovo ordinamento (corsi di 5/6 anni)", 
"Laurea specialistica - nuovo ordinamento (corsi di secondo livello di 2 anni)", 
"Titolo di studio post-laurea o post-AFAM (diploma di specializzazione, master universitario di 1 e di 2 livello)", 
"Titolo di dottore di ricerca")) 


condogg_Fact <- factor(DF_VV_A2015_Individui$condogg, 
levels=c("01", 
"02", 
"03"), 
labels=c("Occupato", 
"In cerca di occupazione", 
"Inattivo")) 


posiz_Fact <- factor(DF_VV_A2015_Individui$posiz, 
levels=c("01", 
"02", 
"03", 
"04", 
"05", 
"06", 
"07", 
"08", 
"09", 
"10", 
"11", 
"12", 
"13"), 
labels=c("Dirigente", 
"Quadro", 
"Impiegato", 
"Operaio", 
"Apprendista", 
"Lavorante a domicilio per conto dimprese", 
"Imprenditore", 
"Libero professionista", 
"Lavoratore in proprio", 
"Socio di cooperativa", 
"Coadiuvante nell'azienda di un familiare", 
"Collaboratore coordinato e continuativo (con o senza progetto)", 
"Prestatore d'opera occasionale")) 


ateco10_Fact <- factor(DF_VV_A2015_Individui$ateco10, 
levels=c("01", 
"02", 
"03", 
"04", 
"05", 
"06", 
"07", 
"08", 
"09", 
"10"), 
labels=c("Agricoltura, caccia e pesca'", 
"Industria'", 
"Costruzioni'", 
"Commercio, trasporto, magazzinaggio, alberghi, ristoranti'", 
"Informazione e comunicazione'", 
"Attivit finanziarie'", 
"Attivit immobiliari'", 
"Attivit professionali, scientifiche, attivit amministrative, servizi di supporto", 
"Pubblica amministrazione, Difesa, Istruzione, Sanit, altri servizi sociali'", 
"Altri servizi'")) 


cond_Fact <- factor(DF_VV_A2015_Individui$cond, 
levels=c("01", 
"02", 
"03", 
"04", 
"05", 
"06", 
"07"), 
labels=c("Occupato", 
"In cerca di prima occupazione", 
"In cerca di nuova occupazione", 
"Casalinga", 
"Studente", 
"Persona ritirata dal lavoro", 
"In altra condizione")) 


ORARIO_Fact <- factor(DF_VV_A2015_Individui$ORARIO, 
levels=c("1", 
"2"), 
labels=c("A tempo pieno", 
"A tempo parziale")) 


RAPP_Fact <- factor(DF_VV_A2015_Individui$RAPP, 
levels=c("1", 
"2"), 
labels=c("A tempo determinato", 
"A tempo indeterminato")) 


CODPROF_Fact <- factor(DF_VV_A2015_Individui$CODPROF, 
levels=c("1", 
"2", 
"3", 
"4", 
"5", 
"6", 
"7", 
"8", 
"9"), 
labels=c("LEGISLATORI, IMPRENDITORI E ALTA DIRIGENZA", 
"PROFESSIONI INTELLETTUALI, SCIENTIFICHE E DI ELEVATA SPECIALIZZAZIONE", 
"PROFESSIONI TECNICHE", 
"PROFESSIONI ESECUTIVE NEL LAVORO D'UFFICIO", 
"PROFESSIONI QUALIFICATE NELLE ATTIVITA COMMERCIALI E NEI SERVIZI", 
"ARTIGIANI, OPERAI SPECIALIZZATI E AGRICOLTORI", 
"CONDUTTORI DI IMPIANTI, OPERAI DI MACCHINARI FISSI E MOBILI E CONDUCENTI DI VEICOLI", 
"PROFESSIONI NON QUALIFICATE", 
"FORZE ARMATE")) 


novac_Fact <- factor(DF_VV_A2015_Individui$novac, 
levels=c("01", 
"02", 
"03", 
"04", 
"99"), 
labels=c("Motivi economici", 
"Motivi di lavoro,studio,familiari", 
"Mancanza di abitudine", 
"Altri motivi (inclusi motivi di salute)", 
"Non sa, non risponde")) 


IESC_Fact <- factor(DF_VV_A2015_Individui$IESC, 
levels=c("0", 
"1"), 
labels=c("Nessuna escursione dell'individuo", 
"Almeno un'escursione dell'individuo")) 


ivia_Fact <- factor(DF_VV_A2015_Individui$ivia, 
levels=c("0", 
"1"), 
labels=c("Nessun viaggio dell'individuo", 
"Almeno un viaggio dell'individuo")) 


ilav_Fact <- factor(DF_VV_A2015_Individui$ilav, 
levels=c("0", 
"1"), 
labels=c("Nessun viaggio di lavoro dell'individuo", 
"Almeno un viaggio di lavoro dell'individuo")) 


ivac_Fact <- factor(DF_VV_A2015_Individui$ivac, 
levels=c("0", 
"1"), 
labels=c("Nessun viaggio di vacanza dell'individuo", 
"Almeno un viaggio di vacanza dell'individuo")) 


ibreve_Fact <- factor(DF_VV_A2015_Individui$ibreve, 
levels=c("0", 
"1"), 
labels=c("Nessun viaggio di vacanza 1-3 notti dell'individuo", 
"Almeno un viaggio di vacanza 1-3 notti dell'individuo")) 


ilunga_Fact <- factor(DF_VV_A2015_Individui$ilunga, 
levels=c("0", 
"1"), 
labels=c("Nessun viaggio di vacanza lunga dell'individuo", 
"Almeno un viaggio di vacanza lunga dell'individuo")) 


TRIM_Fact <- factor(DF_VV_A2015_Individui$TRIM, 
levels=c("01", 
"02", 
"03", 
"04"), 
labels=c("Gennaio-Marzo", 
"Aprile-Giugno", 
"Luglio-Settembre", 
"Ottobre-Dicembre")) 


DOMINIO_Fact <- factor(DF_VV_A2015_Individui$DOMINIO, 
levels=c("1", 
"2", 
"3"), 
labels=c("Comuni centro dell'area metropolitana", 
"Comuni periferia dell'area metropolitana e comuni con 50.001 ab. e pi", 
"Altri comuni fino a 50.000 ab.")) 


ncomp_Fact <- factor(DF_VV_A2015_Individui$ncomp, 
levels=c("1", 
"2", 
"3", 
"4", 
"5", 
"6"), 
labels=c("1 componente", 
"2 componenti", 
"3 componenti", 
"4 componenti", 
"5 componenti", 
"6 o pi componenti")) 


pnasc_Fact <- factor(DF_VV_A2015_Individui$pnasc, 
levels=c("1", 
"2"), 
labels=c("Italia", 
"Estero")) 

save.image (file="DF_VV_A2015_Individui.RData")
